1 Reply Latest reply on Aug 23, 2016 6:19 PM by John Waller

    OLD LR 2.7

    jordanr74034236

      Sorry to ask such a silly question folks, but I'm wondering if anyone can tell me if I'm able to run LR v. 2.7 on an older mac running 10.8?

       

      Let me know and thanks to anyone who is able to help.